com.groupdocs.conversion.converter.option

## Class SlidesSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.SlidesSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class SlidesSaveOptions
      extends SaveOptions

  Options for to Slides conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SlidesSaveOptions.SlidesFileType` Slides file types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlidesSaveOptions()` Create SlidesSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_SlidesSaveOptions_New()` The desired file type to which the input document should be converted to
    `String` | `getPassword()` Set this property if you want to protect the converted document with a password
    `boolean` | `getRemoveSlidesComments()` Deprecated.
    `void` | `setConvertFileType_SlidesSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setPassword(String value)` Set this property if you want to protect the converted document with a password
    `void` | `setRemoveSlidesComments(boolean value)` Deprecated.

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getCadOptions, getConvertFileType, getConvertFileTypeExtension, getConvertPages, getCustomName, getHideComments, getHidePdfAnnotations, getHideWordComments, getHideWordTrackedChanges, getNumPagesToConvert, getOutputType, getPageMode, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setCadOptions, setConvertFileType, setConvertPages, setCustomName, setHideComments, setHidePdfAnnotations, setHideWordComments, setHideWordTrackedChanges, setNumPagesToConvert, setOutputType, setPageMode, setPageNumber, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlidesSaveOptions

          public SlidesSaveOptions()

      Create SlidesSaveOptions instance

  - ### Method Detail

    - #### getConvertFileType_SlidesSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_SlidesSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_SlidesSaveOptions_New

          public void setConvertFileType_SlidesSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getPassword

          public String getPassword()

      Set this property if you want to protect the converted document with a password

      Returns:

    - #### setPassword

          public void setPassword(String value)

      Set this property if you want to protect the converted document with a password

      Parameters:
        `value` -

    - #### getRemoveSlidesComments

          @Deprecated
          public boolean getRemoveSlidesComments()

      Deprecated.

      Remove comments when converting presentation files

    - #### setRemoveSlidesComments

          @Deprecated
          public void setRemoveSlidesComments(boolean value)

      Deprecated.

      Remove comments when converting presentation files

Copyright © 2017. All rights reserved.